unit formPTChart;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Data.DB,
  VCLTee.TeEngine, VCLTee.TeeURL, VCLTee.TeeSeriesTextEd, VCLTee.Series,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.DBChart, VCLTee.TeeTools,
  Vcl.StdCtrls, Vcl.buttons, VCLTee.TeeMagnifyTool, VCLTee.TeeScrollPagerTool, System.StrUtils,
  system.Math;

type
  TfrmPTChart = class(TForm)
    DBChart1: TDBChart;
    SeriesTextSource1: TSeriesTextSource;
    SeriesTextSource2: TSeriesTextSource;
    SeriesTextSource3: TSeriesTextSource;
    SeriesTextSource4: TSeriesTextSource;
    ChartTool1: TAxisScrollTool;
    ChartTool2: TAxisScrollTool;
    ChartTool3: TAxisScrollTool;
    ChartTool4: TAxisScrollTool;
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Series1: TLineSeries;
    Series2: TLineSeries;
    Series3: TLineSeries;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure DBChart1Zoom(Sender: TObject);
    procedure DBChart1UndoZoom(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);

  private
    TopMin, TopMax, BotMin, BotMax: double;

    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPTChart: TfrmPTChart;
  AVal: array of double;
  bFirstTime: boolean;

implementation

{$R *.dfm}

// ========== TfrmPTChart.FormCreate ===========================================
procedure TfrmPTChart.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
    CheckBox1.Caption := 'Remove Points'
  else
    CheckBox1.Caption := 'Add Points';

  Series2.Pointer.Visible := CheckBox1.Checked;


end;

procedure TfrmPTChart.CheckBox2Click(Sender: TObject);
begin
  if CheckBox2.Checked then
  begin
    Series1.DrawStyle := dsAll;
    Series2.DrawStyle := dsAll;
    Series3.DrawStyle := dsAll;
    CheckBox2.Caption := 'Set Draw Style to Segments'
  end
  else
  begin
    Series1.DrawStyle := dsSegments;
    Series2.DrawStyle := dsSegments;
    Series3.DrawStyle := dsSegments;
    CheckBox2.Caption := 'Set Draw Style to All';
  end;

end;

procedure TfrmPTChart.DBChart1UndoZoom(Sender: TObject);
begin
//  DBChart1.Draw;
end;

procedure TfrmPTChart.DBChart1Zoom(Sender: TObject);
begin
//  DBChart1.Draw;
end;

procedure TfrmPTChart.FormCreate(Sender: TObject);
begin
  FormatSettings.DecimalSeparator:='.';
  FormatSettings.ThousandSeparator:=',';
end;

// ========== TfrmPTChart.FormShow =============================================
procedure TfrmPTChart.FormShow(Sender: TObject);

begin

// Load Pressure vs Depth (Left Axis)
  Series1.DataSource := SeriesTextSource1;
  Series1.VertAxis := aBothVertAxis;

  with SeriesTextSource1 do
  begin
    FileName := 'C:\Code_Test_Progs\Sync_Axes\DeviatedPT.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',3);
    AddField('Y',1);
    Load;
  end;

// Load WHP vs Depth (Left Axis)
  Series2.DataSource := SeriesTextSource2;
  Series2.VertAxis := aBothVertAxis;

  with SeriesTextSource2 do
  begin
    FileName := 'C:\Code_Test_Progs\Sync_Axes\DeviatedPT.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',4);
    AddField('Y',1);
    Load;
  end;

// Load Temperature vs Depth (Left Axis)
  Series3.DataSource := SeriesTextSource3;
  Series3.VertAxis := aBothVertAxis;

  with SeriesTextSource3 do
  begin
    FileName := 'C:\Code_Test_Progs\Sync_Axes\DeviatedPT.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',2);
    AddField('Y',1);
    Load;
  end;

  BotMin := 25;
  BotMax := 110;
  TopMin := 0;
  TopMax := 350;

  DBChart1.Axes.Bottom.Automatic := True;
  DBChart1.Axes.Bottom.SetMinMax(BotMin, BotMax);
  DBChart1.Axes.Bottom.Increment := 0;
  DBChart1.Axes.Top.Automatic := True;
  DBChart1.Axes.Top.SetMinMax(TopMin, TopMax);
  DBChart1.Axes.Top.Increment := 0;

  DBChart1.Axes.Right.Labels := False;
  DBChart1.Axes.Top.MinorTickCount := 0;
  DBChart1.Axes.Bottom.MinorTickCount := 0;

  CheckBox1.Checked := True;
  CheckBox2.Checked := True;
end;



end.
